<div class="input-picture text-center text-secondary" ...attributes>
  <div class="image d-flex align-items-center text-center p-2" style={{this.image}} {{on "click" this.selectFile}}>
    <div class="msg {{if this.isEmpty 'w-100' 'invisible'}}">
      {{capitalize (t "click to select an image")}}
    </div>
  </div>

  {{! template-lint-disable require-input-label }}
  {{!-- template-lint-disable no-at-ember-render-modifiers --}}
  <input {{did-insert this.inputInserted}} {{on "change" this.fileSelected}} type="file" accept="image/*;capture=camera" />

  {{#if this.isSaving}}
    {{#if this.progress}}
      <div class="progress m-2">
        <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" style={{this.progressStyle}} aria-valuenow={{this.progress}} aria-valuemin="0" aria-valuemax="100">
          {{this.progress}}%
        </div>
      </div>
    {{else}}
      <FaIcon @icon="spinner" @spin={{true}} />
    {{/if}}
  {{else}}
    {{#if this.canDelete}}
      <button title={{t "delete"}} type="button" class="btn btn-danger btn-delete" {{on "click" this.remove}}>
        <FaIcon @icon="trash" />
      </button>
    {{/if}}

    {{#if this.canRotate}}
      <button title={{t "rotate"}} type="button" class="btn btn-secondary btn-rotate" {{on "click" this.rotate}}>
        <FaIcon @icon="undo" />
      </button>
    {{/if}}

    {{#if this.canEnable360}}
      <button type="button" title={{t "360 degree image"}} class="btn {{if this.value.is360 'btn-success' 'btn-secondary'}} btn-enable-360" {{on "click" this.toggle360}}>
        <FaIcon @icon="street-view" />
      </button>
    {{/if}}
  {{/if}}

  {{#if this.value.isError}}
    <div class="error border-bottom border-secondary">
      <FaIcon @icon="exclamation" />
      {{capitalize (t "can't upload")}}
    </div>
  {{/if}}
</div>